#!/bin/bash

# we don't know anything about ups flavor yet
OS=`uname`
VRS=`uname -r`
MYDIR=${OS}-${VRS}
upspkgver=v4_9_6
updpkgver=v4_7_5

thisdir=`pwd`
stripdir=`dirname  ${thisdir}`
DB=`dirname  ${stripdir}`
echo "ups database is ${DB}"

mkdir ${MYDIR}

if [ ! -d ${thisdir}/${MYDIR} ]
then
   echo "ERROR: cannot find ${thisdir}/${MYDIR}"
   exit 1
fi

cd ${thisdir}/${MYDIR}
pwd
tar xzf ../source/ups496.tar.gz
if [ ! -e Makefile ]
then
   echo "ERROR: not in the correct directory"
   echo "       Please cd to .../ups/${upspkgver} and then ./buildUps.sh"
   exit 1
fi

export UPS_DIR=${thisdir}/${MYDIR}
export PRODUCTS=${DB}
if [ -z ${UPS_SHELL} ]
then
   export UPS_SHELL=${SHELL}
   echo "setting UPS_SHELL to ${SHELL}"
fi
make all

cd ${thisdir}

# declare 
if [ ${OS} = "Darwin" ]
then
flvr=`${UPS_DIR}/bin/ups flavor -2`
else
flvr=`${UPS_DIR}/bin/ups flavor`
fi
mv ${thisdir}/${MYDIR} ${thisdir}/${flvr}
export UPS_DIR=${thisdir}/${flvr}
echo "now declaring ups ${upspkgver} in ${DB}"
if [ ${OS} = "Darwin" ]
then
  ${UPS_DIR}/bin/ups declare ups ${upspkgver} -r ups/${upspkgver}/${flvr} -2 -m ups.table -C -c -z ${DB}
else
  ${UPS_DIR}/bin/ups declare ups ${upspkgver} -r ups/${upspkgver}/${flvr} -4 -m ups.table -C -c -z ${DB}
fi

# also declare upd
source ${DB}/setup
updver=`ups list -Kversion upd -z ${DB}`
if [ -z ${updver} ]
then
   upddir=${DB}/upd/${updpkgver}/NULL
   if [ -d ${upddir} ]
   then
      ${UPS_DIR}/bin/ups declare -c upd ${updpkgver} -r upd/${updpkgver}/NULL -0 -m upd.table
   else
      echo "ERROR: cannot find ${upddir}"
      exit 1
   fi
else
   echo "upd has already been declared"
fi

exit 0
